KUnitTest::TesterAutoregister Class Reference

`#include <runner.h>`

## Public Member Functions

| TesterAutoregister (const char *name, Tester *test)

## Detailed Description

The TesterAutoregister is a helper class to allow the automatic registration of Tester classes.

Definition at line 204 of file runner.h.

## Constructor & Destructor Documentation

KUnitTest::TesterAutoregister::TesterAutoregister | ( | const char * | name,
|  | Tester * | test
| ) |  |

inline

Parameters

  name | A unique name that identifies the Tester class.
  test | A pointer to a Tester object.

Definition at line 210 of file runner.h.

The documentation for this class was generated from the following file:

- runner.h

KDE Home | KDE Accessibility Home | Description of Access Keys